<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script src="./script.js"></script>
    <h1>Відповіді на теоретичні запитання</h1>
    <p>1 - В JavaScript оператори - це символи, які виконують певні дії над операндами (змінними, значеннями і т. д.). Операнди можуть бути змінними, значеннями або виразами.
        -Арифметичні оператори: (+, -, *, /, %)
        -Порівняння (або реляційні) оператори:(==, !=, ===, !==, >, <, >=, <=)
        -Логічні оператори:(&& (логічне І), || (логічне АБО), ! (логічне НІ))
        -Призначення (або асигнування) оператори:(=, +=, -=)
        -Умовні (тернарний) оператор:(условие ? вираз1 : вираз2)
        -Оператори зв'язку:(&, |, ^, ~, <<, >>)
        -Оператори інкременту/декременту:(++, --)
        -Оператори конкатенації:(+)  
        -Оператори членства:(in, instanceof)
        -Оператори унарного плюсу/мінусу:(+, -)
    </p>
    <p>2 - Оператори порівняння в JavaScript використовуються для порівняння значень змінних або виразів. Вони дозволяють перевіряти, чи вони рівні, менші, більші, менші або рівні, більші або рівні тощо. Результатом порівняння є булеве значення true або false, що вказує на те, чи виконується умова порівняння.
        -Оператор рівності (==): Перевіряє, чи дві вирази рівні.
        -Оператор нерівності (!=): Перевіряє, чи дві вирази не рівні.
        -Оператор строгого рівності (===): Перевіряє, чи дві вирази рівні і мають однаковий тип даних.
        -Оператор строгого нерівності (!==): Перевіряє, чи дві вирази не рівні або мають різний тип даних.
        -ператор більше (>): Перевіряє, чи перше значення більше за друге.
        -Оператор менше (<): Перевіряє, чи перше значення менше за друге.
        -Оператор більше або рівне (>=): Перевіряє, чи перше значення більше або рівне другому.
        -Оператор менше або рівне (<=): Перевіряє, чи перше значення менше або рівне другому.
    </p>
    <p>3 - Операції присвоєння в JavaScript використовуються для присвоєння значень змінним. Вони дозволяють присвоювати нові значення змінним на основі інших змінних, констант або виразів. Операції присвоєння використовують різні оператори, такі як (=, +=, -=)
        -Операція присвоєння (=): Присвоює значення правого операнду лівому операнду.
        -Операція присвоєння з додаванням (+=): Додає значення правого операнду до значення лівого операнду і присвоює результат лівому операнду.
        -Операція присвоєння з відніманням (-=): Віднімає значення правого операнду від значення лівого операнду і присвоює результат лівому операнду.
        -Операція присвоєння з множенням (*=): Множить значення лівого операнду на значення правого операнду і присвоює результат лівому операнду.
        -Операція присвоєння з діленням (/=): Ділить значення лівого операнду на значення правого операнду і присвоює результат лівому операнду.
        </p>
</body>
</html>